#!/bin/sh

setupGlobalVar() 
{
	if [[ -z $1 ]]; then
		export $1="$2"
	fi
	echo $1;
}


## setup default parameters
setupGlobalVar "APTS_LOCAL_DIR" "/alpha-pts"
setupGlobalVar "APTS_SERVER_DIR" "alpha-pts"
setupGlobalVar "APTS_SERVER_IP" "192.168.7.1"

## Starting scripts
mkdir ${APTS_LOCAL_DIR}
cd ${APTS_LOCAL_DIR}

## These binaries must be loaded to use the alpha pts scripts
tftp -g -r at91bootstrap.bin ${APTS_SERVER_IP}
tftp -g -r barebox.bin ${APTS_SERVER_IP}
tftp -g -r load-virtex ${APTS_SERVER_IP}
tftp -g -r lm32-loader ${APTS_SERVER_IP}
tftp -g -r rt_cpu.bin ${APTS_SERVER_IP}
tftp -g -r test_scb.bin ${APTS_SERVER_IP}

## Then load the main testing script
tftp -g -r ${APTS_SERVER_DIR}/testing.sh ${APTS_SERVER_IP}
chmod +x ${APTS_LOCAL_DIR}/testing.sh

${APTS_LOCAL_DIR}/testing.sh #Execute the main testing script











